Subject: Re: [bitcoindev] Draft BIP for User-Defined Transaction Flags Policy & Strategy

From: Peter Todd <[email-masked]>
Date: Sun, 14 Apr 2024 15:51:34 +0000

On Sun, Apr 14, 2024 at 08:09:51AM -0700, Bitcoin Error Log wrote:
> Adoption and Transition Strategy & Requirements
> 
> It is implicit, until now, that within this strategy is a requirement for 
> Core and other implementations to abandon strategies within Option 2, by 
> specifically removing and rejecting policy tools like mempoolfullrbf, or 
> other attempts to overrule, filter, or otherwise filter and hamper the 
> propagation of valid, non-destructive transactions.

For the record, I will continue to distribute both my Libre Relay¹ and Full-RBF
Peering² forks of Bitcoin Core, and they will continue to propagate full-rbf
replacements. I'd estimate roughly 30 nodes in total on the P2P network are
running one of those two forks. Bitcoin Knots also enables full-RBF by default,
and has something like 150 nodes.

90%+ of hash rate is running full-RBF because it's common for blocks to earn
thousands of dollars worth of fees from full-RBF replacements.  The idea that
miners would give that up, en-mass, just because you asked nicely for the sake
of your broken, insecure, and unused ways of transacting bitcoin is laughable.
Miners regularly modify the Bitcoin Core codebase for their own needs;
commenting out the one line of code that prevents full-RBF replacements is
trivial.

You'd do well to stop wasting your time with this nonsense and work on
Lightning or something. As for Bitcoin Core, enabling full-RBF by default is
well overdue: https://github.com/bitcoin/bitcoin/pull/28132

1) https://github.com/petertodd/bitcoin/tree/libre-relay-v27.0rc1
2) https://github.com/petertodd/bitcoin/tree/full-rbf-v27.0rc1

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion on the web visit https://groups.google.com/d/msgid/bitcoindev/Zhv7hp9aydx3KAQA%40petertodd.org.